﻿using System;
using System.Globalization;
using System.Threading;
using System.Web;

namespace CV11Localization
{
    public class Global : System.Web.HttpApplication
    {

        protected void Application_Start(object sender, EventArgs e)
        {

        }

        protected void Session_Start(object sender, EventArgs e)
        {

        }

        protected void Application_BeginRequest(object sender, EventArgs e)
        {
            string value = null;
            HttpCookie cookie = Request.Cookies["Culture"];

            if (cookie != null)
            {
                value = cookie.Value;
            }

            if (value != null)
            {
                CultureInfo culture = new CultureInfo(value);
                Thread.CurrentThread.CurrentCulture = culture;
                Thread.CurrentThread.CurrentUICulture = culture;
            }
        }

        protected void Application_AuthenticateRequest(object sender, EventArgs e)
        {

        }

        protected void Application_Error(object sender, EventArgs e)
        {

        }

        protected void Session_End(object sender, EventArgs e)
        {

        }

        protected void Application_End(object sender, EventArgs e)
        {

        }
    }
}