﻿using System;
using System.Web;
using System.Web.UI;

namespace CV11Localization
{
    public partial class Translate : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string culture = Context.Items["culture"].ToString();

            if ((culture != null) && (culture.Length > 0))
            {
                HttpCookie cookie = new HttpCookie("Culture");
                cookie.Value = culture;
                cookie.Expires = DateTime.Now.AddDays(1);
                Response.Cookies.Add(cookie);
            }

            if (Page.PreviousPage != null)
            {
                Response.Redirect(Page.PreviousPage.Request.RawUrl);
            }
            else
            {
                Response.Redirect("~/");
            }
        }
    }
}