﻿using System;
using CV11.MyATNETService;

namespace CV11
{
    class Program
    {
        static void Main(string[] args)
        {
            IATNETService s = new ATNETServiceClient();

            s.AddStudent(new ATNETStudent() { Name = "Student 1", Score = 98 });
            s.AddStudent(new ATNETStudent() { Name = "Student 2", Score = 52 });
            s.AddStudent(new ATNETStudent() { Name = "Student 3", Score = 88 });
            s.AddStudent(new ATNETStudent() { Name = "Student 4", Score = 85 });
            s.AddStudent(new ATNETStudent() { Name = "Student 5", Score = 70 });
            s.AddStudent(new ATNETStudent() { Name = "Student 6", Score = 36 });
            s.AddStudent(new ATNETStudent() { Name = "Student 7", Score = 69 });
            s.AddStudent(new ATNETStudent() { Name = "Student 8", Score = 42 });
            s.AddStudent(new ATNETStudent() { Name = "Student 9", Score = 100 });

            foreach (ATNETStudent student in s.GetExcellentStudents(86))
            {
                Console.WriteLine(student.Name + ": " + student.Score);
            }
        }
    }
}
