﻿using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace CV11WCF
{
    [ServiceContract]
    public interface IATNETService
    {

        [OperationContract]
        IEnumerable<ATNETStudent> GetExcellentStudents(int excelllencyThreshold);

        [OperationContract]
        void AddStudent(ATNETStudent student);
    }


    [DataContract]
    public class ATNETStudent
    {
        [DataMember]
        public string Name { get; set; }

        [DataMember]
        public int Score { get; set; }
    }
}
